function dT = direcTemp(name, varargin)

% DirecTemp interface class 
% Requires DirecTemp USB temperature sensor
% Parker Willis 10/30/09

switch nargin
    case 1
        if isa(name, 'direcTemp')
            error('Copy constructor not defined for class direcTemp');
        end
    case 0
        dT.obj = serial('COM7');
        % Connect to instrument object.
        fopen(dT.obj);
        
        dT = class(dT,'direcTemp');
        
end


